This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 63373 - undefined symbol error in /lib/libnss_db.so.2
undefined symbol error in /lib/libnss_db.so.2
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: nss_db (Show other bugs)
skipjack-beta2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nalin Dahyabhai
:
Depends On:
Blocks: 61590
  Show dependency treegraph
 
Reported: 2002-04-12 21:50 EDT by Rob Hughes
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-14 23:26:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rob Hughes 2002-04-12 21:50:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.0 (X11; Linux i686; U;) Gecko/20020408

Description of problem:
I'm getting undefined symbol: __set_errno in /lib/libnss_db.so.2 during
shutdown, as well as during other operations, after update to nss_db-2.2-12

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Do nearly anything that causes a call to /lib/libnss_db.so.2
2.Error "/lib/libnss_db.so.2: undefined symbol: __set_errno" is displayed
3.
	

Actual Results:  Error is displayed

Expected Results:  No error is displayed an operation completes

Additional info:

I only noticed this start happening after updating using up2date on 04/12/02.
The nss_db package wasn't updated during that session though, so far as I can
tell. I was able to boot the cd, run linux rescue and delete the symlink to
/lib/libnss_db.so.2.0.0. The link keeps getting re-created, and the error keeps
returning. Removing the nss_db* packages eliminates the error, but I can't
figure out what this will break as there don't seem to be any deps, but the
package must be there for something, yes?
Comment 1 Nalin Dahyabhai 2002-04-15 14:14:11 EDT
The nss_db package is mainly used to speed up nsswitch operations on hosts where
the flat files in /etc are unusually large, and is never required for proper
operation.  You should be able to uninstall the package without difficulty.

The breakage should be fixed in nss_db-2.2-14 and later (I missed one symbol
when patching it to build with newer libc versions).  Thanks!

Note You need to log in before you can comment on or make changes to this bug.